Possible cache issues for browserchoice.mozilla.com

RESOLVED FIXED

Status

mozilla.org Graveyard
Server Operations
RESOLVED FIXED
8 years ago
3 years ago

People

(Reporter: nthomas, Assigned: fox2mike)

Tracking

Details

(Reporter)

Description

8 years ago
Eg, if I pull 
  http://browserchoice.mozilla.com/lang/ro
and manage to hit pm-web02 then the version in the download box is 3.6.11 rather than 3.6.12. I've tried to exclude proxies on my connection but can't guarantee it. This is probably best tested by someone who can hit the internal IPs of the appservers, and/or knows how the caching works.

Headers:

GET /lang/ro HTTP/1.1
Host: browserchoice.mozilla.com
User-Agent: Mozilla/5.0 (Macintosh; U; Intel Mac OS X 10.6; en-US; rv:1.9.2.11) Gecko/20101012 Firefox/3.6.11
Accept: text/html,application/xhtml+xml,application/xml;q=0.9,*/*;q=0.8
Accept-Language: en-us,en;q=0.5
Accept-Encoding: gzip,deflate
Accept-Charset: ISO-8859-1,utf-8;q=0.7,*;q=0.7
Keep-Alive: 115
Connection: keep-alive

HTTP/1.1 200 OK
Accept-Ranges: bytes
Content-Encoding: gzip
Content-Type: text/html; charset=UTF-8
Date: Thu, 28 Oct 2010 04:44:40 GMT
Last-Modified: Mon, 25 Oct 2010 21:41:20 GMT
Server: ECS (lax/5428)
Vary: Accept-Encoding
X-Backend-Server: pm-web02
X-Cache: HIT
X-Cache-Info: caching
X-Powered-By: PHP/5.2.9
Content-Length: 3398
(Assignee)

Comment 1

8 years ago
Don't think it's an issue with the webserver here, could be caching. I've purged the cache from edgecast.

Checking internally with curl gives me : 

trinity:~ shyam$ curl -I -L -H "Host: browserchoice.mozilla.com" http://pm-web02.mozilla.org/lang/ro
HTTP/1.1 200 OK
Date: Thu, 28 Oct 2010 07:23:37 GMT
Server: Apache
X-Backend-Server: pm-web02
X-Powered-By: PHP/5.2.9
Content-Type: text/html; charset=UTF-8

Check and let me know if you still see the issue?

FWIW, I clicked the link and saw only 3.6.12 and my search couldn't find 3.6.11 on the page...so I'm going to go out on a limb and call this fixed & blame the cache. Closing the bug, reopen if this is still an issue.
Assignee: server-ops → shyam
Status: NEW → RESOLVED
Last Resolved: 8 years ago
Resolution: --- → FIXED
Summary: Not all appservers behind browserchoice.m.c are up to date → Possible cache issues for browserchoice.mozilla.com
(Reporter)

Comment 2

8 years ago
Good:

curl -s -L -H "Host: browserchoice.mozilla.com" http://pm-web02.mozilla.org/lang/ro | grep Windows
        <em>3.6.12 pentru Windows</em>

curl -s -L http://browserchoice.mozilla.com/lang/ro?dsfds | grep Windows
        <em>3.6.12 pentru Windows</em>
(random chars to defeat any caching)

Bad:
curl -s -L http://browserchoice.mozilla.com/lang/ro | grep Windows
        <em>3.6.11 pentru Windows</em>
Status: RESOLVED → REOPENED
Resolution: FIXED → ---
(Assignee)

Comment 3

8 years ago
Something weird, probably with edgecast?

trinity:~ shyam$ curl -s -L http://browserchoice.mozilla.com/lang/ro | grep Windows
        <em>3.6.12 pentru Windows</em>

fox2mike@woodpecker ~ $ curl -s -L http://browserchoice.mozilla.com/lang/ro | grep Windows
        <em>3.6.12 pentru Windows</em>


But from nladm01, which is in Europe...

[root@nladm01 ~]# curl -s -L http://browserchoice.mozilla.com/lang/ro | grep Windows
        <em>3.6.11 pentru Windows</em>

[root@nladm01 ~]# curl -I -L http://browserchoice.mozilla.com/lang/ro 
HTTP/1.1 200 OK
Accept-Ranges: bytes
Content-Type: text/html; charset=UTF-8
Date: Thu, 28 Oct 2010 09:00:33 GMT
Last-Modified: Sun, 24 Oct 2010 13:24:56 GMT
Server: ECS (jfk/5FDC)
X-Backend-Server: pm-web03
X-Cache: HIT
X-Cache-Info: caching
X-Powered-By: PHP/5.2.9
Content-Length: 11288

pm-web03 is certainly not the issue here, so I can only think of edgecast.

I can open a support ticket with them I guess, if you think it's needed. Also, I could try reflushing /lang/ro and seeing if that helps. Thoughts?
(Assignee)

Comment 4

8 years ago
Kicked /lang/ro again off edgecast, seems to have helped?
(Assignee)

Comment 5

8 years ago
02:07:12 < nthomas|afk> RESOLVED FIXED
02:07:19 < fox2mike> yay!
02:07:21 < nthomas|afk> BEER REQUIRED

Calling this fixed!
Status: REOPENED → RESOLVED
Last Resolved: 8 years ago8 years ago
Resolution: --- → FIXED
cc-ing tomcat, who works on the EUballot QA, so he know what to look for in case it happens again.
Product: mozilla.org → mozilla.org Graveyard
You need to log in before you can comment on or make changes to this bug.